Overview
Get overview of CACM features.
Fetch high level overview details about CACM feature.
Query parameters
accountIdentifierstringRequired
Account Identifier for the Entity.
startTimeinteger · int64Required
Start time of the period
endTimeinteger · int64Required
End time of the period
groupBystring · enumRequiredDefault:
Group by period
DAYPossible values: Responses
400
Bad Request
application/json
This is Failure entity as defied in Harness
statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
500
Internal server error
application/json
default
Returns a CEView object containing CACM Overview details(Total cost, cost breakdown by day, and total number of recommendations for a give time range)
application/json
get/overview
GET /gateway/ccm/api/overview?accountIdentifier=text&startTime=1&endTime=1&groupBy=DAY HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?